#ifndef _CHRONOPTICS_TOF_ERROR_H_
#define _CHRONOPTICS_TOF_ERROR_H_

#include <chronoptics/tof/visibility.h>
#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Additional defines

#ifdef __cplusplus
extern "C" {
#endif

/** The error class is used to communicate errors
 */
typedef struct tof_error* tof_error_t;

/** Destruct tof_error */
TOF_EXPORT void tof_error_delete(tof_error_t ptr);

/** Get the error message
 * @param ptr Pointer to class
 * @returns error message
 */
TOF_EXPORT const char* tof_error_message(tof_error_t ptr);

#ifdef __cplusplus
}
#endif

#endif
