function ret_val = transform3dToColor2d(x, y, z, calibration)
  % transform3dToColor2d
  %   Transform a 3D point into a 2D pixel coordinate of the color camera
  %
  % Inputs:
  %   x - numeric - X value
  %   y - numeric - Y value
  %   z - numeric - Z value
  %   calibration - Calibration - The camera calibration
  %
  % Output:
  %   ret_val - Point2d - 2D pixel coordinate of the color camera
  %

  ret_val = tof.mex('tof_transform_3d_to_color_2d', x, y, z, calibration.get_object_ptr());
  ret_val = tof.Point2d(ret_val);
end

