import chronoptics.tof as tof

# File name to save to
fileName = "frames.csf"

# Amount of frames to capture
numFrames = 10

# Amount of frames to drop before capturing
dropFrames = 100

# Serial of camera to connect to, if empty will connect to the first found
serial = "202001a"

cam = tof.KeaCamera(tof.ProcessingConfig(), serial)
cam.setOnCameraProcessing(False)

writer = tof.createCsfWriterCamera(fileName, cam)

tof.selectStreams(cam, [tof.FrameType.RAW, tof.FrameType.BGR])
cam.start()

print("Dropping frames")

# Drop frames
for _ in range(dropFrames):
    frame = cam.getFrames()

print("Frames dropped")

# Capture frames
for _ in range(numFrames):
    frames = cam.getFrames()

    for frame in frames:
        writer.writeFrame(frame)

    del frames

print("Frames captured")
cam.stop()
del writer
